<Meta title="Setup" />

# Reason toolkit

## Setup

Install the package :

```bash
npm i -S @colisweb/reason-toolkit
```

Add the package to the `bsconfig.json` file :

```json
{
  "bs-dependencies": ["@colisweb/reason-toolkit"]
}
```

Import the style in your app :

```js
// App.js
import '@colisweb/reason-toolkit/src/ui/styles.css
```

### Add Tailwind

This toolkit is based on [tailwindcss](https://tailwindcss.com/).
We share a postcss config that you can include to your webpack config

```js
// webpack.config.js
const plugin = {
  loader: "postcss-loader",
  options: {
    postcssOptions: {
      config: require("@colisweb/reason-toolkit/postcss.config"),
    },
    sourceMap: process.env.NODE_ENV === "production",
  },
};
```

This postcss config includes :

- tailwind with our config
- autoprefixer
- postcss-preset-env
- purgecss

You can access the tailwind config through `@colisweb/reason-toolkit/src/tailwind/tailwind.config` path.

## Usage

The bindings in the _vendors_ are **globaly accessible**. Everything else is scoped into the `Toolkit` namespace.

```reasonml
open Toolkit;

[@react.component]
let make = () => {
  let dialog = Hooks.useDisclosure();

  <div className=Tw.(style([bgWhite])) />
};
```

### Local development

Run bsb

```bash
npm run dev
```

Run storybook

```bash
npm run storybook
```
